Bug 1301734 - cachefilesd spins in tight loop trying to cull empty cache
cachefilesd spins in tight loop trying to cull empty cache
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cachefilesd (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Howells
Fedora Extras Quality Assurance
:
Depends On: 485314 1109640 1301733 1356085
Blocks: 1159933 1172231 1268411
  Show dependency treegraph
 
Reported: 2016-01-25 16:05 EST by Steve Dickson
Modified: 2016-07-13 07:34 EDT (History)
16 users (show)

See Also:
Fixed In Version: cachefilesd-0.10.9-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1301733
Environment:
Last Closed: 2016-02-29 17:23:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 David Howells 2016-02-04 07:23:37 EST
This will be alleviated in 0.10.7 by the following means: if there was nothing found that can be culled then the scanning for cullable objects will be suspended.  

A kernel patch has been proposed for the 4.6 kernel that will allow the kernel to tell cachefilesd if any objects the kernel currently has open (and are therefore unavailable for culling) have been closed.  If this information is available, scanning will be resumed when sufficient objects have been released - otherwise scanning will be resumed after 30 seconds.

The kernel patch is here:

    https://www.redhat.com/archives/linux-cachefs/2016-January/msg00014.html

The cachefilesd patch that uses it is committed upstream here:

    http://git.kernel.org/cgit/linux/kernel/git/dhowells/cachefilesd.git/commit/?id=4f881c327573cce04977c116330d0a9e05366c60
Comment 2 Fedora Update System 2016-02-04 08:34:48 EST
cachefilesd-0.10.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-04fbf81f38
Comment 3 Fedora Update System 2016-02-04 20:24:08 EST
cachefilesd-0.10.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-04fbf81f38
Comment 4 Christian Kujau 2016-02-10 16:53:55 EST
Nice. I'm currently on Debian/Jessie (cachefilesd 0.10.5) and have the same issue, so hopefully this fix will trickle down to other distributions as well.
Comment 5 David Howells 2016-02-11 03:25:24 EST
(In reply to Christian Kujau from comment #4)
> Nice. I'm currently on Debian/Jessie (cachefilesd 0.10.5) and have the same
> issue, so hopefully this fix will trickle down to other distributions as
> well.

Note that there's also a kernel patch which will make this patch operate to its full potential.  That's queued for the next merge window.
Comment 6 Fedora Update System 2016-02-17 10:21:41 EST
cachefilesd-0.10.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eead0f3cc5
Comment 7 Fedora Update System 2016-02-17 17:30:51 EST
cachefilesd-0.10.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eead0f3cc5
Comment 8 Fedora Update System 2016-02-29 17:23:40 EST
cachefilesd-0.10.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.